| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csInterleavedSubBufferOptions Struct Reference
[Graphics]

Structure describing the properties of the individual buffers to be interleaved. More...

`#include <csgfx/renderbuffer.h>`

List of all members.

## Public Attributes
uint | componentCount
| Number of components per element (e.g. 4 for RGBA).
csRenderBufferComponentType | componentType
| Components Types; usually CS_BUFCOMP_UNSIGNED_INT.

## Detailed Description

Structure describing the properties of the individual buffers to be interleaved.

Definition at line 40 of file renderbuffer.h.

## Member Data Documentation

uint csInterleavedSubBufferOptions::componentCount

Number of components per element (e.g. 4 for RGBA).

Definition at line 45 of file renderbuffer.h.

csRenderBufferComponentType csInterleavedSubBufferOptions::componentType

Components Types; usually CS_BUFCOMP_UNSIGNED_INT.

Definition at line 43 of file renderbuffer.h.

The documentation for this struct was generated from the following file:

- csgfx/renderbuffer.h